Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.aprs
Class LocalDestinationRecord

    java.lang.Object
      org.ka2ddo.yaac.aprs.LocalDestinationRecord

All Implemented Interfaces:
  java.lang.Comparable<LocalDestinationRecord>

    public class LocalDestinationRecord

extends java.lang.Object
implements java.lang.Comparable<LocalDestinationRecord>

This class defines one local destination callsign record. This record type may also be used for group broadcasts for groups this station is a member of.

Field Summary
`java.lang.String` | `callsign`
`boolean` | `enabled`
`MsgEventType` | `eventType`

Constructor Summary
`LocalDestinationRecord()`
`LocalDestinationRecord(java.lang.String callsign)`
`LocalDestinationRecord(java.lang.String callsign, boolean enabled)`

Method Summary
`int` | `compareTo(LocalDestinationRecord o)`
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`void` | `readFromPreferences(java.util.prefs.Preferences prefs)`
`java.lang.String` | `toString()`
`void` | `writeToPreferences(java.util.prefs.Preferences prefs)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### callsign

    public java.lang.String callsign

### enabled

    public boolean enabled

### eventType

    public MsgEventType eventType

Constructor Detail

### LocalDestinationRecord

    public LocalDestinationRecord()

### LocalDestinationRecord

    public LocalDestinationRecord(java.lang.String callsign)

### LocalDestinationRecord

    public LocalDestinationRecord(java.lang.String callsign,
                                  boolean enabled)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### compareTo

    public int compareTo(LocalDestinationRecord o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<LocalDestinationRecord>`

### writeToPreferences

    public void writeToPreferences(java.util.prefs.Preferences prefs)

### readFromPreferences

    public void readFromPreferences(java.util.prefs.Preferences prefs)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD